JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AnimatedPosition< Behaviour >::Listener Class Referenceabstract
juce_gui_basics » layout

Implement this class if you need to receive callbacks when the value of an AnimatedPosition changes. More...

`#include <juce_AnimatedPosition.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | positionChanged (AnimatedPosition &, double newPosition)=0
| Called synchronously when an AnimatedPosition changes.

## Detailed Description

template<typename Behaviour>
class AnimatedPosition< Behaviour >::Listener

Implement this class if you need to receive callbacks when the value of an AnimatedPosition changes.

See also
  AnimatedPosition::addListener, AnimatedPosition::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

template<typename Behaviour >

virtual AnimatedPosition< Behaviour >::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ positionChanged()

template<typename Behaviour >

virtual void AnimatedPosition< Behaviour >::Listener::positionChanged | ( | AnimatedPosition & | ,
|  | double | newPosition )
| pure virtual

Called synchronously when an AnimatedPosition changes.

The documentation for this class was generated from the following file:

- juce_AnimatedPosition.h